Subject: RE:size limit for static arrays in cygwin/gcc
From: Danny Smith <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 17 Feb 2003 06:56:10 +1100 (EST)

"Charles D. Russell" <worwor at bellsouth dot net> wrote:

>    Meanwhile, I am trying to find an equivalent problem in C so that it will
> get more attention.  Unfortunately, I don't know much C.  The subsequent
> program fails with a segmentation violation if one tries to allocate more
> than a few Mb of memory on either my old or my new system.  Why?  What limit
> am I bumping into?
> 
>

By default stack reserve is set to 2MB by ld.exe.  Try setting stack reserve
higher, eg,
 -Wl,--stack=0x2000000
will get you 32MB stack reserve

Danny

http://mobile.yahoo.com.au - Yahoo! Mobile
- Exchange IMs with Messenger friends on your Telstra or Vodafone mobile phone.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/